"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f61ee0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f61f80>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f62020>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f620c0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f62160>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f62200>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f622a0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f62340>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f623e0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f62480>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f62520>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f625c0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f62660>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f62700>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f627a0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f62840>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f628e0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f62980>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f62a20>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f62ac0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f62b60>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f62c00>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f62ca0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f62d40>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f62de0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f62e80>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f62f20>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f62fc0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f63060>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f63100>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f631a0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f63240>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f632e0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f63380>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f63420>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f634c0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f63560>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f63600>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f636a0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f63740>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f637e0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f63880>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f63920>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f639c0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f63a60>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f63b00>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f63ba0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f63c40>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f63ce0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f63d80>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f63e20>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f63ec0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f63f60>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9c040>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9c0e0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9c180>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9c220>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9c2c0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9c360>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9c400>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9c4a0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9c540>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9c5e0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9c680>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9c720>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9c7c0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9c860>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9c900>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9c9a0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9ca40>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9cae0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9cb80>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9cc20>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9ccc0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9cd60>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9ce00>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9cea0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9cf40>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9cfe0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9d080>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9d1c0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9d120>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9d260>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9d300>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffffa7f9d3a0>)]
name: str = 'fr_HOCCN'
